Skip to content

getItemLedgerPage

READ

Get item ledger page.

POST /api/v1/inventory/getItemLedgerPage
curl -X POST '<your-host>/api/v1/inventory/getItemLedgerPage' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "itemId": "string",
    "locationId": "string",
    "sortDescending": "string",
    "page": "string"
  }'
Response
{
  "results": [
    {
      "comment": "string",
      "companyId": "string",
      "correctionOfItemLedgerId": "string",
      "createdAt": "string",
      "createdBy": "string",
      "documentId": "string",
      "documentLineId": "string",
      "documentType": "Sales Shipment",
      "entryNumber": 0,
      "entryType": "Purchase",
      "externalDocumentId": "string",
      "id": "string",
      "itemId": "string",
      "locationId": "string",
      "postingDate": "string",
      "quantity": 0,
      "scrapReasonId": "string",
      "storageUnitId": "string",
      "trackedEntityId": "string",
      "trackedEntityStatus": "Rejected",
      "updatedBy": "string",
      "storageUnit": {
        "name": "string"
      },
      "trackedEntity": {
        "readableId": "string"
      }
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "itemId": {
      "type": "string"
    },
    "locationId": {
      "type": "string"
    },
    "sortDescending": {},
    "page": {}
  },
  "required": [
    "itemId",
    "locationId",
    "sortDescending",
    "page"
  ]
}